/*======================================================================================

	Program:		Range Imaging Toolkit (RITK)
	Module:			ritkOpenGLEntity.cxx
	Version:		$Revision: 2535 $
	Date:			$Date: 2012-02-08 01:22:46 +0100 (Mi, 08 Feb 2012) $

	Copyright (c) 2010-2011
	Pattern Recognition Lab, 
    University Erlangen-Nuremberg, Germany
    All rights reserved.

	This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
	See RITKCopyright.txt for more information.

	http://www5.informatik.uni-erlangen.de/research/software/ritk

========================================================================================*/

#include "ritkOpenGLEntity.h"
#include "ritkDebugManager.h"


namespace ritk
{

//----------------------------------------------------------------------------
OpenGLEntity::OpenGLEntity()
{
	m_Render3D = true;
	parentWidget = NULL;
}

//----------------------------------------------------------------------------
bool
OpenGLEntity::RightMousePressed(QMouseEvent *e)
{
	return false;
}

//----------------------------------------------------------------------------
bool
OpenGLEntity::RightMouseReleased(QMouseEvent *e)
{
	return false;
}

//----------------------------------------------------------------------------
bool
OpenGLEntity::MouseMoved(QMouseEvent *e)
{
	return false;
}

//----------------------------------------------------------------------------
void
OpenGLEntity::SetRender3D(bool render3d)
{
	m_Render3D = render3d;
}


//----------------------------------------------------------------------------
OpenGLEntity::~OpenGLEntity()
{
}

//----------------------------------------------------------------------------
OpenGLVisualizationWidget
*OpenGLEntity::getParentWidget()
{
	return parentWidget;
}
//----------------------------------------------------------------------------
void
OpenGLEntity::setParentWidget(OpenGLVisualizationWidget *parentWidget){
	if (this->parentWidget != NULL){
		LOG_DEB("WARNING: openGLEntity: setParentWidget: parentWidget already set!");
	}
	this->parentWidget = parentWidget;
}


} // namespace ritk